%define upstream_name    Cairo-GObject
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Integrate Cairo into the Glib type system
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Cairo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cairo) >= 1.80.0
BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.224.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(cairo)

%{?perl_default_filter}
# keep only versionated requires:
%global __requires_exclude %__requires_exclude|^perl\\(Cairo\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Glib\\)$

%description
The Perl Cairo::GObject module enables to integrate Cairo into the
Glib type system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.4.0-13pclos2017
- rebuild against updates

